Imports System.Collections.Generic
Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
'Imports CharterDotCom.WebSite.Library
'Imports CharterDotCom.WebSite.Library.BLCommon


<Serializable()> _
Public Class BLChannelLineUp
    Implements IChannelLineUp

    Private m_lineupID As Integer
    Private m_lineupName As String
    Private m_channelLineUp As Dictionary(Of String, ISingleChannel)


    Public Property LineupID() As Integer Implements IChannelLineUp.LineupID
        Get
            Return m_lineupID
        End Get
        Set(ByVal value As Integer)
            m_lineupID = value
        End Set
    End Property

    Public Property LineupName() As String Implements IChannelLineUp.LineupName
        Get
            Return m_lineupName
        End Get
        Set(ByVal value As String)
            m_lineupName = value
        End Set
    End Property

    Public Property ChannelLineUp() As Dictionary(Of String, ISingleChannel) Implements IChannelLineUp.ChannelLineUp
        Get
            Return m_channelLineUp
        End Get
        Set(ByVal value As Dictionary(Of String, ISingleChannel))
            m_channelLineUp = value
        End Set
    End Property

End Class

<Serializable()> _
Partial Public Class BLSingleChannel
    Implements ISingleChannel

    Private m_channelNameField As String
    Private m_channelNumberField As Integer
    Private m_serviceLevelField As String


    Public Property channelName() As String Implements ISingleChannel.channelName
        Get
            Return Me.m_channelNameField
        End Get
        Set(ByVal value As String)
            Me.m_channelNameField = value
        End Set
    End Property

    Public Property channelNumber() As Integer Implements ISingleChannel.channelNumber
        Get
            Return Me.m_channelNumberField
        End Get
        Set(ByVal value As Integer)
            Me.m_channelNumberField = value
        End Set
    End Property

    Public Property serviceLevel() As String Implements ISingleChannel.serviceLevel
        Get
            Return Me.m_serviceLevelField
        End Get
        Set(ByVal value As String)
            Me.m_serviceLevelField = value
        End Set
    End Property
End Class
